Bug 1537055 (CVE-2018-1000032) - CVE-2018-1000032 unzip: Heap-based buffer overflow in charset_to_intern()
Summary: CVE-2018-1000032 unzip: Heap-based buffer overflow in charset_to_intern()
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-1000032
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1537056 1543337
Blocks: 1537057
TreeView+ depends on / blocked
 
Reported: 2018-01-22 11:05 UTC by Adam Mariš
Modified: 2019-09-29 14:30 UTC (History)
6 users (show)

Fixed In Version: unzip 6.1c23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:37:51 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-01-22 11:05:25 UTC
Heap-based buffer overflow was found in charset_to_intern() function which can be used to write null-bytes out-of-bound when converting attacker-controlled strings to the local charset.

Comment 4 Adam Mariš 2018-01-22 12:57:39 UTC
Acknowledgments:

Name: R. Freingruber (SEC Consult Vulnerability Lab)

Comment 5 Pedro Yóssis Silva Barbosa 2018-01-25 15:56:27 UTC
Statement:

This issue did not affect the versions of unzip as shipped with Red Hat Enterprise Linux 5, 6, and 7, as they did not include the function charset_to_intern, or the code is different and does not contain the vulnerable part.

Comment 7 Adam Mariš 2018-02-08 09:45:22 UTC
Created unzip tracking bugs for this issue:

Affects: fedora-all [bug 1543337]


Note You need to log in before you can comment on or make changes to this bug.